﻿Public Class Form1
    ' Perform the calculation.
    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        ' Clear the result (in case the calculation fails).
        txtResult.Clear()

        Try
            ' Perform the operations that might fail.
            Dim x As Integer = Integer.Parse(txtX.Text)
            Dim y As Integer = Integer.Parse(txtY.Text)
            Dim result As Integer = x / y
            txtResult.Text = result.ToString()
        Catch fmt_ex As FormatException
            ' A formatting error occurred.
            ' Report the error to the user.
            MessageBox.Show( _
                "The input values must be integers.", _
                "Invalid Input Values", _
                MessageBoxButtons.OK, MessageBoxIcon.Error)
        Catch ex As Exception
            ' Some other error occurred.
            ' Report the error to the user.
            MessageBox.Show(ex.Message, "Calculation Error", _
                MessageBoxButtons.OK, MessageBoxIcon.Error)

            ' Record the kind of exception class so we can catch it specifically.
            Console.WriteLine(ex.GetType().Name)
        Finally
            MessageBox.Show("Done", "Done", _
                MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub
End Class
